Skip to main content
GET
/
v5
/
banks
/
bankTransfer
Get a bank transfer
curl --request GET \
  --url https://sandbox.hurdlr.com/rest/v5/banks/bankTransfer \
  --header 'Authorization: Bearer <token>'
{
  "id": 123,
  "bankAccountId": 123,
  "type": "CONFIRMED",
  "status": "ACTIVE",
  "reviewStatus": "PARTNER_REVIEW_REQUIRED",
  "userAccess": "NONE",
  "accountantAccess": "NONE",
  "transferType": "DEPOSIT",
  "amount": 50.01,
  "date": "2021-01-04",
  "description": "Online Banking payment",
  "creditAccountId": 123,
  "debitAccountId": 123,
  "apiExpenseId": "<string>",
  "apiPaymentId": "<string>",
  "apiTransactionId": "<string>",
  "apiName": "PLAID",
  "bankDescription": "<string>",
  "apiAccountNo": "<string>",
  "apiAccountName": "Citi Premier® Card",
  "apiInstitutionId": "<string>",
  "matchingBankTransferId": 123,
  "suggestedMatchingBankTransferIds": [
    123
  ],
  "customData": {},
  "isPayout": true,
  "v6EntityId": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

id
integer<int64>
required

Id of the specific bank transfer

Response

200 - application/json

Successful operation

id
integer<int64>
required

Id of the bank transfer

bankAccountId
integer<int64>
required

id of the user's bank account

type
enum<string>

Type of the bank transfer

Available options:
CONFIRMED,
PENDING,
MATCHED
status
enum<string>

Status of the bank transfer

Available options:
ACTIVE,
INACTIVE
reviewStatus
enum<string>

Review status of the bank transfer

Available options:
PARTNER_REVIEW_REQUIRED,
USER_REVIEW_REQUIRED,
ACCOUNTANT_REVIEW_REQUIRED,
RECONCILIATION_STAGED,
RECONCILED,
RECONCILIATION_DISCREPANCY,
ADJUSTMENT_USER_REVIEW_REQUIRED,
ADJUSTMENT_ACCOUNTANT_REVIEW_REQUIRED,
ADJUSTMENT_RECONCILIATION_STAGED
userAccess
enum<string>

Access level for the user. This field uses the default configuration for the Partner; however, it can be overridden to manipulate how a user can interact with this bank transfer.

Available options:
NONE,
READ_ONLY,
READ_WRITE
accountantAccess
enum<string>

Access level for the accountant. This field uses the default configuration for the Partner; however, it can be overridden to manipulate how an accountant can interact with this bank transfer.

Available options:
NONE,
READ_ONLY,
READ_WRITE
transferType
enum<string>

Transfer type of the bank transfer

Available options:
DEPOSIT,
WITHDRAWAL
amount
number

Total amount of the bank transfer

Example:

50.01

date
string<date>

Date of the bank transfer

Example:

"2021-01-04"

description
string

Description of the bank transfer

Example:

"Online Banking payment"

creditAccountId
integer<int64>

Id of the credit account associated with this bank transfer

debitAccountId
integer<int64>

Id of the debit account associated with this bank transfer

apiExpenseId
string

Id of the expense on associated API

apiPaymentId
string

Id of the payment on associated API

apiTransactionId
string

Id of the bank transfer on associated API

apiName
enum<string>

Name of the API from which this transaction originated

Available options:
GOOGLELOGIN,
LINKEDINLOGIN,
DROPBOX,
BOX,
SKYDRIVE,
CLOVER,
STRIPE,
GOOGLESTORAGE,
GOOGLECONTACTS,
GOOGLEEMAIL,
LINKEDINCONTACTS,
PLAID,
KNOX,
UBER,
FACEBOOKLOGIN,
FRESHBOOKS,
HARVEST,
KW,
FRESHBOOKS2,
CAPITAL_ONE,
SQUARE,
S3,
DOTLOOP,
XERO_DEPRECATED,
REALOGY,
UPWORK,
SHOPIFY,
DEDUCTR,
ENTERPRISE,
MOXIWORKS,
STRIPE_EXPRESS,
APPLELOGIN,
APPDIRECT,
LONEWOLF,
USER_IMPORTED,
LONEWOLF_TRANSACTIONDESK,
SAMPLE_BANK,
TAXBOT,
THIRD_PARTY_BANK,
GUSTO,
THIRD_PARTY_PAYMENTS,
XERO,
UNIT,
USER_ENTRY,
MOOV,
QBO,
COLUMN,
QUALPAY,
BENCH,
PARTNER_IMPLEMENTATION,
CHECK,
RUTTER,
WAVE,
ADYEN,
APRIL
Example:

"PLAID"

bankDescription
string

Transaction description, similar to what will show on the user's bank statement

apiAccountNo
string

Mask of the user's bank account, often the last 4 digits of the account number

apiAccountName
string

Display name for the bank account from which this bank transfer originated

Example:

"Citi Premier® Card"

apiInstitutionId
string

Name or id of the institution from which the transaction originated

matchingBankTransferId
integer<int64>

Id of the matching bank transfer

suggestedMatchingBankTransferIds
integer<int64>[]

List of ids of the suggested matching bank transfers

List of ids of the suggested matching bank transfers

customData
object

Custom JSON in which you can store any data with max length of 2000 characters

isPayout
boolean

Whether this bank transfer is an aggregate payout of other transactions

v6EntityId
string

Entity id on the v6 API for this bank transfer